	/// <summary>
	/// Summary description for ReceiptAcknowledgement.
	/// Ramesh: Manually added many elements for other dtds to compile it.
	/// look for ramesh tag.
	/// </summary>

using System;
using System.Xml.Serialization;
using System.Collections;
using System.Xml.Schema;
using System.ComponentModel;


namespace Microsoft.RFIDLab.EPCISDemo.ManufacturerWS
{
	[XmlRoot(ElementName="ReceiptAcknowledgement",IsNullable=false, Namespace="http://www.rosettanet.org"),Serializable]
	public class ReceiptAcknowledgement
	{

		[XmlElement(Type=typeof(fromRole),ElementName="fromRole",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public fromRole __fromRole;
		
		[XmlIgnore]
		public fromRole fromRole
		{
			get
			{
				if (__fromRole == null) __fromRole = new fromRole();		
				return __fromRole;
			}
			set {__fromRole = value;}
		}

		[XmlElement(Type=typeof(receivedDocumentDateTime),ElementName="receivedDocumentDateTime",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public receivedDocumentDateTime __receivedDocumentDateTime;
		
		[XmlIgnore]
		public receivedDocumentDateTime receivedDocumentDateTime
		{
			get
			{
				if (__receivedDocumentDateTime == null) __receivedDocumentDateTime = new receivedDocumentDateTime();		
				return __receivedDocumentDateTime;
			}
			set {__receivedDocumentDateTime = value;}
		}

		[XmlElement(Type=typeof(receivedDocumentIdentifier),ElementName="receivedDocumentIdentifier",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public receivedDocumentIdentifier __receivedDocumentIdentifier;
		
		[XmlIgnore]
		public receivedDocumentIdentifier receivedDocumentIdentifier
		{
			get
			{
				if (__receivedDocumentIdentifier == null) __receivedDocumentIdentifier = new receivedDocumentIdentifier();		
				return __receivedDocumentIdentifier;
			}
			set {__receivedDocumentIdentifier = value;}
		}

		[XmlElement(Type=typeof(thisMessageDateTime),ElementName="thisMessageDateTime",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public thisMessageDateTime __thisMessageDateTime;
		
		[XmlIgnore]
		public thisMessageDateTime thisMessageDateTime
		{
			get
			{
				if (__thisMessageDateTime == null) __thisMessageDateTime = new thisMessageDateTime();		
				return __thisMessageDateTime;
			}
			set {__thisMessageDateTime = value;}
		}

		[XmlElement(Type=typeof(thisMessageIdentifier),ElementName="thisMessageIdentifier",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public thisMessageIdentifier __thisMessageIdentifier;
		
		[XmlIgnore]
		public thisMessageIdentifier thisMessageIdentifier
		{
			get
			{
				if (__thisMessageIdentifier == null) __thisMessageIdentifier = new thisMessageIdentifier();		
				return __thisMessageIdentifier;
			}
			set {__thisMessageIdentifier = value;}
		}

		[XmlElement(Type=typeof(toRole),ElementName="toRole",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public toRole __toRole;
		
		[XmlIgnore]
		public toRole toRole
		{
			get
			{
				if (__toRole == null) __toRole = new toRole();		
				return __toRole;
			}
			set {__toRole = value;}
		}

		public ReceiptAcknowledgement()
		{
		}
	}


	[XmlType(TypeName="receivedDocumentDateTime"),XmlRoot,Serializable]
	public class receivedDocumentDateTime
	{

		[XmlElement(ElementName="DateTimeStamp",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __DateTimeStamp;
		
		[XmlIgnore]
		public string DateTimeStamp
		{ 
			get { return __DateTimeStamp; }
			set { __DateTimeStamp = value; }
		}

		public receivedDocumentDateTime()
		{
		}
	}


	[XmlType(TypeName="receivedDocumentIdentifier"),XmlRoot,Serializable]
	public class receivedDocumentIdentifier
	{

		[XmlElement(ElementName="ProprietaryDocumentIdentifier",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __ProprietaryDocumentIdentifier;
		
		[XmlIgnore]
		public string ProprietaryDocumentIdentifier
		{ 
			get { return __ProprietaryDocumentIdentifier; }
			set { __ProprietaryDocumentIdentifier = value; }
		}

		public receivedDocumentIdentifier()
		{
		}
	}


	[XmlType(TypeName="thisMessageDateTime"),XmlRoot,Serializable]
	public class thisMessageDateTime
	{

		[XmlElement(ElementName="DateTimeStamp",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __DateTimeStamp;
		
		[XmlIgnore]
		public string DateTimeStamp
		{ 
			get { return __DateTimeStamp; }
			set { __DateTimeStamp = value; }
		}

		public thisMessageDateTime()
		{
		}
	}


	[XmlType(TypeName="thisMessageIdentifier"),XmlRoot,Serializable]
	public class thisMessageIdentifier
	{

		[XmlElement(ElementName="ProprietaryMessageIdentifier",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __ProprietaryMessageIdentifier;
		
		[XmlIgnore]
		public string ProprietaryMessageIdentifier
		{ 
			get { return __ProprietaryMessageIdentifier; }
			set { __ProprietaryMessageIdentifier = value; }
		}

		public thisMessageIdentifier()
		{
		}
	}


	[XmlType(TypeName="toRolePartnerRoleDescription"),XmlRoot,Serializable]
	public class toRolePartnerRoleDescription
	{

		[XmlElement(Type=typeof(toRolePartnerRoleDescriptionContactInformation),ElementName="ContactInformation",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public toRolePartnerRoleDescriptionContactInformation __ContactInformation;
		
		[XmlIgnore]
		public toRolePartnerRoleDescriptionContactInformation ContactInformation
		{
			get
			{
				if (__ContactInformation == null) __ContactInformation = new toRolePartnerRoleDescriptionContactInformation();		
				return __ContactInformation;
			}
			set {__ContactInformation = value;}
		}

		[XmlElement(ElementName="GlobalPartnerRoleClassificationCode",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __GlobalPartnerRoleClassificationCode;
		
		[XmlIgnore]
		public string GlobalPartnerRoleClassificationCode
		{ 
			get { return __GlobalPartnerRoleClassificationCode; }
			set { __GlobalPartnerRoleClassificationCode = value; }
		}

		[XmlElement(Type=typeof(toRolePartnerRoleDescriptionPartnerDescription),ElementName="PartnerDescription",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public toRolePartnerRoleDescriptionPartnerDescription __PartnerDescription;
		
		[XmlIgnore]
		public toRolePartnerRoleDescriptionPartnerDescription PartnerDescription
		{
			get
			{
				if (__PartnerDescription == null) __PartnerDescription = new toRolePartnerRoleDescriptionPartnerDescription();		
				return __PartnerDescription;
			}
			set {__PartnerDescription = value;}
		}

		public toRolePartnerRoleDescription()
		{
		}
	}


	[XmlType(TypeName="toRolePartnerRoleDescriptionContactInformation"),XmlRoot,Serializable]
	public class toRolePartnerRoleDescriptionContactInformation
	{

		[XmlElement(Type=typeof(toRolePartnerRoleDescriptionContactInformationcontactName),ElementName="contactName",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public toRolePartnerRoleDescriptionContactInformationcontactName __contactName;
		
		[XmlIgnore]
		public toRolePartnerRoleDescriptionContactInformationcontactName contactName
		{
			get
			{
				if (__contactName == null) __contactName = new toRolePartnerRoleDescriptionContactInformationcontactName();		
				return __contactName;
			}
			set {__contactName = value;}
		}

		[XmlElement(ElementName="EmailAddress",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __EmailAddress;
		
		[XmlIgnore]
		public string EmailAddress
		{ 
			get { return __EmailAddress; }
			set { __EmailAddress = value; }
		}

		[XmlElement(Type=typeof(toRolePartnerRoleDescriptionContactInformationtelephoneNumber),ElementName="telephoneNumber",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public toRolePartnerRoleDescriptionContactInformationtelephoneNumber __telephoneNumber;
		
		[XmlIgnore]
		public toRolePartnerRoleDescriptionContactInformationtelephoneNumber telephoneNumber
		{
			get
			{
				if (__telephoneNumber == null) __telephoneNumber = new toRolePartnerRoleDescriptionContactInformationtelephoneNumber();		
				return __telephoneNumber;
			}
			set {__telephoneNumber = value;}
		}

		public toRolePartnerRoleDescriptionContactInformation()
		{
		}
	}


	[XmlType(TypeName="toRolePartnerRoleDescriptionContactInformationcontactName"),XmlRoot,Serializable]
	public class toRolePartnerRoleDescriptionContactInformationcontactName
	{

		[XmlElement(ElementName="FreeFormText",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __FreeFormText;
		
		[XmlIgnore]
		public string FreeFormText
		{ 
			get { return __FreeFormText; }
			set { __FreeFormText = value; }
		}

		public toRolePartnerRoleDescriptionContactInformationcontactName()
		{
		}
	}


	[XmlType(TypeName="toRolePartnerRoleDescriptionContactInformationtelephoneNumber"),XmlRoot,Serializable]
	public class toRolePartnerRoleDescriptionContactInformationtelephoneNumber
	{

		[XmlElement(ElementName="CommunicationsNumber",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __CommunicationsNumber;
		
		[XmlIgnore]
		public string CommunicationsNumber
		{ 
			get { return __CommunicationsNumber; }
			set { __CommunicationsNumber = value; }
		}

		public toRolePartnerRoleDescriptionContactInformationtelephoneNumber()
		{
		}
	}


	[XmlType(TypeName="toRolePartnerRoleDescriptionPartnerDescription"),XmlRoot,Serializable]
	public class toRolePartnerRoleDescriptionPartnerDescription
	{

		[XmlElement(Type=typeof(toRolePartnerRoleDescriptionPartnerDescriptionBusinessDescription),ElementName="BusinessDescription",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public toRolePartnerRoleDescriptionPartnerDescriptionBusinessDescription __BusinessDescription;
		
		[XmlIgnore]
		public toRolePartnerRoleDescriptionPartnerDescriptionBusinessDescription BusinessDescription
		{
			get
			{
				if (__BusinessDescription == null) __BusinessDescription = new toRolePartnerRoleDescriptionPartnerDescriptionBusinessDescription();		
				return __BusinessDescription;
			}
			set {__BusinessDescription = value;}
		}

		[XmlElement(ElementName="GlobalPartnerClassificationCode",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __GlobalPartnerClassificationCode;
		
		[XmlIgnore]
		public string GlobalPartnerClassificationCode
		{ 
			get { return __GlobalPartnerClassificationCode; }
			set { __GlobalPartnerClassificationCode = value; }
		}

		public toRolePartnerRoleDescriptionPartnerDescription()
		{
		}
	}


	[XmlType(TypeName="toRolePartnerRoleDescriptionPartnerDescriptionBusinessDescription"),XmlRoot,Serializable]
	public class toRolePartnerRoleDescriptionPartnerDescriptionBusinessDescription
	{

		[XmlElement(ElementName="GlobalBusinessIdentifier",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __GlobalBusinessIdentifier;
		
		[XmlIgnore]
		public string GlobalBusinessIdentifier
		{ 
			get { return __GlobalBusinessIdentifier; }
			set { __GlobalBusinessIdentifier = value; }
		}

		[XmlElement(ElementName="GlobalSupplyChainCode",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __GlobalSupplyChainCode;
		
		[XmlIgnore]
		public string GlobalSupplyChainCode
		{ 
			get { return __GlobalSupplyChainCode; }
			set { __GlobalSupplyChainCode = value; }
		}

		public toRolePartnerRoleDescriptionPartnerDescriptionBusinessDescription()
		{
		}
	}
	//ramesh. All below elements were added from Pip3B12ShippingOrderConfirmation.cs 
	// file. Now i can compile without needing above pip.
	[XmlRoot(ElementName="fromRole",IsNullable=false),Serializable]
	public class fromRole
	{

		[XmlElement(Type=typeof(PartnerRoleDescription),ElementName="PartnerRoleDescription",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public PartnerRoleDescription __PartnerRoleDescription;
		
		[XmlIgnore]
		public PartnerRoleDescription PartnerRoleDescription
		{
			get
			{
				if (__PartnerRoleDescription == null) __PartnerRoleDescription = new PartnerRoleDescription();		
				return __PartnerRoleDescription;
			}
			set {__PartnerRoleDescription = value;}
		}

		public fromRole()
		{
		}
	}

	[XmlRoot(ElementName="toRole",IsNullable=false),Serializable]
	public class toRole
	{

		[XmlElement(Type=typeof(PartnerRoleDescription),ElementName="PartnerRoleDescription",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public PartnerRoleDescription __PartnerRoleDescription;
		
		[XmlIgnore]
		public PartnerRoleDescription PartnerRoleDescription
		{
			get
			{
				if (__PartnerRoleDescription == null) __PartnerRoleDescription = new PartnerRoleDescription();		
				return __PartnerRoleDescription;
			}
			set {__PartnerRoleDescription = value;}
		}

		public toRole()
		{
		}
	}

	[XmlRoot(ElementName="PartnerRoleDescription",IsNullable=false),Serializable]
	public class PartnerRoleDescription
	{

		[XmlElement(Type=typeof(ContactInformation),ElementName="ContactInformation",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public ContactInformation __ContactInformation;
		
		[XmlIgnore]
		public ContactInformation ContactInformation
		{
			get
			{
				if (__ContactInformation == null) __ContactInformation = new ContactInformation();		
				return __ContactInformation;
			}
			set {__ContactInformation = value;}
		}

		[XmlElement(ElementName="GlobalPartnerRoleClassificationCode",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __GlobalPartnerRoleClassificationCode;
		
		[XmlIgnore]
		public string GlobalPartnerRoleClassificationCode
		{ 
			get { return __GlobalPartnerRoleClassificationCode; }
			set { __GlobalPartnerRoleClassificationCode = value; }
		}

		[XmlElement(Type=typeof(PartnerDescription),ElementName="PartnerDescription",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public PartnerDescription __PartnerDescription;
		
		[XmlIgnore]
		public PartnerDescription PartnerDescription
		{
			get
			{
				if (__PartnerDescription == null) __PartnerDescription = new PartnerDescription();		
				return __PartnerDescription;
			}
			set {__PartnerDescription = value;}
		}

		public PartnerRoleDescription()
		{
		}
	}

	[XmlRoot(ElementName="ContactInformation",IsNullable=false),Serializable]
	public class ContactInformation
	{

		[XmlElement(Type=typeof(contactName),ElementName="contactName",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public contactName __contactName;
		
		[XmlIgnore]
		public contactName contactName
		{
			get
			{
				if (__contactName == null) __contactName = new contactName();		
				return __contactName;
			}
			set {__contactName = value;}
		}

		[XmlElement(ElementName="EmailAddress",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __EmailAddress;
		
		[XmlIgnore]
		public string EmailAddress
		{ 
			get { return __EmailAddress; }
			set { __EmailAddress = value; }
		}

		[XmlElement(Type=typeof(facsimileNumber),ElementName="facsimileNumber",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public facsimileNumber __facsimileNumber;
		
		[XmlIgnore]
		public facsimileNumber facsimileNumber
		{
			get
			{
				if (__facsimileNumber == null) __facsimileNumber = new facsimileNumber();		
				return __facsimileNumber;
			}
			set {__facsimileNumber = value;}
		}

		[XmlElement(Type=typeof(telephoneNumber),ElementName="telephoneNumber",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public telephoneNumber __telephoneNumber;
		
		[XmlIgnore]
		public telephoneNumber telephoneNumber
		{
			get
			{
				if (__telephoneNumber == null) __telephoneNumber = new telephoneNumber();		
				return __telephoneNumber;
			}
			set {__telephoneNumber = value;}
		}

		public ContactInformation()
		{
		}
	}

	[XmlRoot(ElementName="PartnerDescription",IsNullable=false),Serializable]
	public class PartnerDescription
	{

		[XmlElement(Type=typeof(BusinessDescription),ElementName="BusinessDescription",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public BusinessDescription __BusinessDescription;
		
		[XmlIgnore]
		public BusinessDescription BusinessDescription
		{
			get
			{
				if (__BusinessDescription == null) __BusinessDescription = new BusinessDescription();		
				return __BusinessDescription;
			}
			set {__BusinessDescription = value;}
		}

		[XmlElement(ElementName="GlobalPartnerClassificationCode",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __GlobalPartnerClassificationCode;
		
		[XmlIgnore]
		public string GlobalPartnerClassificationCode
		{ 
			get { return __GlobalPartnerClassificationCode; }
			set { __GlobalPartnerClassificationCode = value; }
		}

		[XmlElement(Type=typeof(ContactInformation),ElementName="ContactInformation",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public ContactInformation __ContactInformation;
		
		[XmlIgnore]
		public ContactInformation ContactInformation
		{
			get
			{
				if (__ContactInformation == null) __ContactInformation = new ContactInformation();		
				return __ContactInformation;
			}
			set {__ContactInformation = value;}
		}

		[XmlElement(Type=typeof(PhysicalLocation),ElementName="PhysicalLocation",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public PhysicalLocation __PhysicalLocation;
		
		[XmlIgnore]
		public PhysicalLocation PhysicalLocation
		{
			get
			{
				if (__PhysicalLocation == null) __PhysicalLocation = new PhysicalLocation();		
				return __PhysicalLocation;
			}
			set {__PhysicalLocation = value;}
		}

		public PartnerDescription()
		{
		}
	}

	[XmlRoot(ElementName="contactName",IsNullable=false),Serializable]
	public class contactName
	{

		[XmlElement(Type=typeof(FreeFormText),ElementName="FreeFormText",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public FreeFormText __FreeFormText;
		
		[XmlIgnore]
		public FreeFormText FreeFormText
		{
			get
			{
				if (__FreeFormText == null) __FreeFormText = new FreeFormText();		
				return __FreeFormText;
			}
			set {__FreeFormText = value;}
		}

		public contactName()
		{
		}
	}

	[XmlRoot(ElementName="facsimileNumber",IsNullable=false),Serializable]
	public class facsimileNumber
	{

		[XmlElement(ElementName="CommunicationsNumber",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __CommunicationsNumber;
		
		[XmlIgnore]
		public string CommunicationsNumber
		{ 
			get { return __CommunicationsNumber; }
			set { __CommunicationsNumber = value; }
		}

		public facsimileNumber()
		{
		}
	}

	[XmlRoot(ElementName="telephoneNumber",IsNullable=false),Serializable]
	public class telephoneNumber
	{

		[XmlElement(ElementName="CommunicationsNumber",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __CommunicationsNumber;
		
		[XmlIgnore]
		public string CommunicationsNumber
		{ 
			get { return __CommunicationsNumber; }
			set { __CommunicationsNumber = value; }
		}

		public telephoneNumber()
		{
		}
	}

	[XmlRoot(ElementName="BusinessDescription",IsNullable=false),Serializable]
	public class BusinessDescription
	{

		[XmlElement(ElementName="GlobalBusinessIdentifier",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __GlobalBusinessIdentifier;
		
		[XmlIgnore]
		public string GlobalBusinessIdentifier
		{ 
			get { return __GlobalBusinessIdentifier; }
			set { __GlobalBusinessIdentifier = value; }
		}

		[XmlElement(ElementName="GlobalSupplyChainCode",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __GlobalSupplyChainCode;
		
		[XmlIgnore]
		public string GlobalSupplyChainCode
		{ 
			get { return __GlobalSupplyChainCode; }
			set { __GlobalSupplyChainCode = value; }
		}

		[XmlElement(Type=typeof(businessName),ElementName="businessName",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public businessName __businessName;
		
		[XmlIgnore]
		public businessName businessName
		{
			get
			{
				if (__businessName == null) __businessName = new businessName();		
				return __businessName;
			}
			set {__businessName = value;}
		}

		[XmlElement(Type=typeof(NationalBusinessTaxIdentifier),ElementName="NationalBusinessTaxIdentifier",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public NationalBusinessTaxIdentifier __NationalBusinessTaxIdentifier;
		
		[XmlIgnore]
		public NationalBusinessTaxIdentifier NationalBusinessTaxIdentifier
		{
			get
			{
				if (__NationalBusinessTaxIdentifier == null) __NationalBusinessTaxIdentifier = new NationalBusinessTaxIdentifier();		
				return __NationalBusinessTaxIdentifier;
			}
			set {__NationalBusinessTaxIdentifier = value;}
		}

		[XmlElement(Type=typeof(PartnerBusinessIdentification),ElementName="PartnerBusinessIdentification",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public PartnerBusinessIdentificationCollection __PartnerBusinessIdentificationCollection;
		
		[XmlIgnore]
		public PartnerBusinessIdentificationCollection PartnerBusinessIdentificationCollection
		{
			get
			{
				if (__PartnerBusinessIdentificationCollection == null) __PartnerBusinessIdentificationCollection = new PartnerBusinessIdentificationCollection();
				return __PartnerBusinessIdentificationCollection;
			}
			set {__PartnerBusinessIdentificationCollection = value;}
		}

		[XmlElement(Type=typeof(RegionalBusinessTaxIdentifier),ElementName="RegionalBusinessTaxIdentifier",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public RegionalBusinessTaxIdentifier __RegionalBusinessTaxIdentifier;
		
		[XmlIgnore]
		public RegionalBusinessTaxIdentifier RegionalBusinessTaxIdentifier
		{
			get
			{
				if (__RegionalBusinessTaxIdentifier == null) __RegionalBusinessTaxIdentifier = new RegionalBusinessTaxIdentifier();		
				return __RegionalBusinessTaxIdentifier;
			}
			set {__RegionalBusinessTaxIdentifier = value;}
		}

		public BusinessDescription()
		{
		}
	}

	[XmlRoot(ElementName="PhysicalLocation",IsNullable=false),Serializable]
	public class PhysicalLocation
	{

		[XmlElement(ElementName="GlobalLocationIdentifier",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __GlobalLocationIdentifier;
		
		[XmlIgnore]
		public string GlobalLocationIdentifier
		{ 
			get { return __GlobalLocationIdentifier; }
			set { __GlobalLocationIdentifier = value; }
		}

		[XmlElement(Type=typeof(PartnerLocationIdentification),ElementName="PartnerLocationIdentification",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public PartnerLocationIdentificationCollection __PartnerLocationIdentificationCollection;
		
		[XmlIgnore]
		public PartnerLocationIdentificationCollection PartnerLocationIdentificationCollection
		{
			get
			{
				if (__PartnerLocationIdentificationCollection == null) __PartnerLocationIdentificationCollection = new PartnerLocationIdentificationCollection();
				return __PartnerLocationIdentificationCollection;
			}
			set {__PartnerLocationIdentificationCollection = value;}
		}

		[XmlElement(Type=typeof(PhysicalAddress),ElementName="PhysicalAddress",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public PhysicalAddress __PhysicalAddress;
		
		[XmlIgnore]
		public PhysicalAddress PhysicalAddress
		{
			get
			{
				if (__PhysicalAddress == null) __PhysicalAddress = new PhysicalAddress();		
				return __PhysicalAddress;
			}
			set {__PhysicalAddress = value;}
		}

		public PhysicalLocation()
		{
		}
	}

	[XmlRoot(ElementName="FreeFormText",IsNullable=false),Serializable]
	public class FreeFormText
	{

		[XmlAttribute(AttributeName="lang",DataType="language")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __lang;
		
		[XmlIgnore]
		public string lang
		{ 
			get { return __lang; }
			set { __lang = value; }
		}

		[XmlText(DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __Value;
		
		[XmlIgnore]
		public string Value
		{ 
			get { return __Value; }
			set { __Value = value; }
		}

		public FreeFormText()
		{
		}
	}

	[XmlRoot(ElementName="businessName",IsNullable=false),Serializable]
	public class businessName
	{

		[XmlElement(Type=typeof(FreeFormText),ElementName="FreeFormText",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public FreeFormText __FreeFormText;
		
		[XmlIgnore]
		public FreeFormText FreeFormText
		{
			get
			{
				if (__FreeFormText == null) __FreeFormText = new FreeFormText();		
				return __FreeFormText;
			}
			set {__FreeFormText = value;}
		}

		public businessName()
		{
		}
	}

	[XmlRoot(ElementName="NationalBusinessTaxIdentifier",IsNullable=false),Serializable]
	public class NationalBusinessTaxIdentifier
	{

		[XmlElement(ElementName="BusinessTaxIdentifier",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __BusinessTaxIdentifier;
		
		[XmlIgnore]
		public string BusinessTaxIdentifier
		{ 
			get { return __BusinessTaxIdentifier; }
			set { __BusinessTaxIdentifier = value; }
		}

		[XmlElement(ElementName="GlobalCountryCode",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __GlobalCountryCode;
		
		[XmlIgnore]
		public string GlobalCountryCode
		{ 
			get { return __GlobalCountryCode; }
			set { __GlobalCountryCode = value; }
		}

		public NationalBusinessTaxIdentifier()
		{
		}
	}

	[Serializable]
	[EditorBrowsable(EditorBrowsableState.Advanced)]
	public class PartnerBusinessIdentificationCollection : ArrayList
	{
		public PartnerBusinessIdentification Add(PartnerBusinessIdentification obj)
		{
			base.Add(obj);
			return obj;
		}

		public PartnerBusinessIdentification Add()
		{
			return Add(new PartnerBusinessIdentification());
		}

		public void Insert(int index, PartnerBusinessIdentification obj)
		{
			base.Insert(index, obj);
		}

		public void Remove(PartnerBusinessIdentification obj)
		{
			base.Remove(obj);
		}

		new public PartnerBusinessIdentification this[int index]
		{
			get { return (PartnerBusinessIdentification) base[index]; }
			set { base[index] = value; }
		}
	}

	[XmlRoot(ElementName="PartnerBusinessIdentification",IsNullable=false),Serializable]
	public class PartnerBusinessIdentification
	{

		[XmlElement(ElementName="ProprietaryBusinessIdentifier",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __ProprietaryBusinessIdentifier;
		
		[XmlIgnore]
		public string ProprietaryBusinessIdentifier
		{ 
			get { return __ProprietaryBusinessIdentifier; }
			set { __ProprietaryBusinessIdentifier = value; }
		}

		[XmlElement(ElementName="ProprietaryDomainIdentifier",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __ProprietaryDomainIdentifier;
		
		[XmlIgnore]
		public string ProprietaryDomainIdentifier
		{ 
			get { return __ProprietaryDomainIdentifier; }
			set { __ProprietaryDomainIdentifier = value; }
		}

		[XmlElement(ElementName="ProprietaryIdentifierAuthority",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __ProprietaryIdentifierAuthority;
		
		[XmlIgnore]
		public string ProprietaryIdentifierAuthority
		{ 
			get { return __ProprietaryIdentifierAuthority; }
			set { __ProprietaryIdentifierAuthority = value; }
		}

		public PartnerBusinessIdentification()
		{
		}
	}

	[XmlRoot(ElementName="PhysicalAddress",IsNullable=false),Serializable]
	public class PhysicalAddress
	{

		[XmlElement(Type=typeof(addressLine1),ElementName="addressLine1",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public addressLine1 __addressLine1;
		
		[XmlIgnore]
		public addressLine1 addressLine1
		{
			get
			{
				if (__addressLine1 == null) __addressLine1 = new addressLine1();		
				return __addressLine1;
			}
			set {__addressLine1 = value;}
		}

		[XmlElement(Type=typeof(addressLine2),ElementName="addressLine2",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public addressLine2 __addressLine2;
		
		[XmlIgnore]
		public addressLine2 addressLine2
		{
			get
			{
				if (__addressLine2 == null) __addressLine2 = new addressLine2();		
				return __addressLine2;
			}
			set {__addressLine2 = value;}
		}

		[XmlElement(Type=typeof(addressLine3),ElementName="addressLine3",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public addressLine3 __addressLine3;
		
		[XmlIgnore]
		public addressLine3 addressLine3
		{
			get
			{
				if (__addressLine3 == null) __addressLine3 = new addressLine3();		
				return __addressLine3;
			}
			set {__addressLine3 = value;}
		}

		[XmlElement(Type=typeof(cityName),ElementName="cityName",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public cityName __cityName;
		
		[XmlIgnore]
		public cityName cityName
		{
			get
			{
				if (__cityName == null) __cityName = new cityName();		
				return __cityName;
			}
			set {__cityName = value;}
		}

		[XmlElement(ElementName="GlobalCountryCode",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __GlobalCountryCode;
		
		[XmlIgnore]
		public string GlobalCountryCode
		{ 
			get { return __GlobalCountryCode; }
			set { __GlobalCountryCode = value; }
		}

		[XmlElement(ElementName="NationalPostalCode",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __NationalPostalCode;
		
		[XmlIgnore]
		public string NationalPostalCode
		{ 
			get { return __NationalPostalCode; }
			set { __NationalPostalCode = value; }
		}

		[XmlElement(Type=typeof(postOfficeBoxIdentifier),ElementName="postOfficeBoxIdentifier",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public postOfficeBoxIdentifier __postOfficeBoxIdentifier;
		
		[XmlIgnore]
		public postOfficeBoxIdentifier postOfficeBoxIdentifier
		{
			get
			{
				if (__postOfficeBoxIdentifier == null) __postOfficeBoxIdentifier = new postOfficeBoxIdentifier();		
				return __postOfficeBoxIdentifier;
			}
			set {__postOfficeBoxIdentifier = value;}
		}

		[XmlElement(Type=typeof(regionName),ElementName="regionName",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public regionName __regionName;
		
		[XmlIgnore]
		public regionName regionName
		{
			get
			{
				if (__regionName == null) __regionName = new regionName();		
				return __regionName;
			}
			set {__regionName = value;}
		}

		public PhysicalAddress()
		{
		}
	}

	[XmlRoot(ElementName="RegionalBusinessTaxIdentifier",IsNullable=false),Serializable]
	public class RegionalBusinessTaxIdentifier
	{

		[XmlElement(ElementName="BusinessTaxIdentifier",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __BusinessTaxIdentifier;
		
		[XmlIgnore]
		public string BusinessTaxIdentifier
		{ 
			get { return __BusinessTaxIdentifier; }
			set { __BusinessTaxIdentifier = value; }
		}

		[XmlElement(Type=typeof(regionName),ElementName="regionName",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public regionName __regionName;
		
		[XmlIgnore]
		public regionName regionName
		{
			get
			{
				if (__regionName == null) __regionName = new regionName();		
				return __regionName;
			}
			set {__regionName = value;}
		}

		public RegionalBusinessTaxIdentifier()
		{
		}
	}

	[Serializable]
	[EditorBrowsable(EditorBrowsableState.Advanced)]
	public class PartnerLocationIdentificationCollection : ArrayList
	{
		public PartnerLocationIdentification Add(PartnerLocationIdentification obj)
		{
			base.Add(obj);
			return obj;
		}

		public PartnerLocationIdentification Add()
		{
			return Add(new PartnerLocationIdentification());
		}

		public void Insert(int index, PartnerLocationIdentification obj)
		{
			base.Insert(index, obj);
		}

		public void Remove(PartnerLocationIdentification obj)
		{
			base.Remove(obj);
		}

		new public PartnerLocationIdentification this[int index]
		{
			get { return (PartnerLocationIdentification) base[index]; }
			set { base[index] = value; }
		}
	}

	[XmlRoot(ElementName="addressLine1",IsNullable=false),Serializable]
	public class addressLine1
	{

		[XmlElement(Type=typeof(FreeFormText),ElementName="FreeFormText",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public FreeFormText __FreeFormText;
		
		[XmlIgnore]
		public FreeFormText FreeFormText
		{
			get
			{
				if (__FreeFormText == null) __FreeFormText = new FreeFormText();		
				return __FreeFormText;
			}
			set {__FreeFormText = value;}
		}

		public addressLine1()
		{
		}
	}

	[XmlRoot(ElementName="addressLine2",IsNullable=false),Serializable]
	public class addressLine2
	{

		[XmlElement(Type=typeof(FreeFormText),ElementName="FreeFormText",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public FreeFormText __FreeFormText;
		
		[XmlIgnore]
		public FreeFormText FreeFormText
		{
			get
			{
				if (__FreeFormText == null) __FreeFormText = new FreeFormText();		
				return __FreeFormText;
			}
			set {__FreeFormText = value;}
		}

		public addressLine2()
		{
		}
	}


	[XmlRoot(ElementName="addressLine3",IsNullable=false),Serializable]
	public class addressLine3
	{

		[XmlElement(Type=typeof(FreeFormText),ElementName="FreeFormText",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public FreeFormText __FreeFormText;
		
		[XmlIgnore]
		public FreeFormText FreeFormText
		{
			get
			{
				if (__FreeFormText == null) __FreeFormText = new FreeFormText();		
				return __FreeFormText;
			}
			set {__FreeFormText = value;}
		}

		public addressLine3()
		{
		}
	}

	[XmlRoot(ElementName="cityName",IsNullable=false),Serializable]
	public class cityName
	{

		[XmlElement(Type=typeof(FreeFormText),ElementName="FreeFormText",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public FreeFormText __FreeFormText;
		
		[XmlIgnore]
		public FreeFormText FreeFormText
		{
			get
			{
				if (__FreeFormText == null) __FreeFormText = new FreeFormText();		
				return __FreeFormText;
			}
			set {__FreeFormText = value;}
		}

		public cityName()
		{
		}
	}

	[XmlRoot(ElementName="postOfficeBoxIdentifier",IsNullable=false),Serializable]
	public class postOfficeBoxIdentifier
	{

		[XmlElement(Type=typeof(FreeFormText),ElementName="FreeFormText",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public FreeFormText __FreeFormText;
		
		[XmlIgnore]
		public FreeFormText FreeFormText
		{
			get
			{
				if (__FreeFormText == null) __FreeFormText = new FreeFormText();		
				return __FreeFormText;
			}
			set {__FreeFormText = value;}
		}

		public postOfficeBoxIdentifier()
		{
		}
	}

	[XmlRoot(ElementName="regionName",IsNullable=false),Serializable]
	public class regionName
	{

		[XmlElement(Type=typeof(FreeFormText),ElementName="FreeFormText",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public FreeFormText __FreeFormText;
		
		[XmlIgnore]
		public FreeFormText FreeFormText
		{
			get
			{
				if (__FreeFormText == null) __FreeFormText = new FreeFormText();		
				return __FreeFormText;
			}
			set {__FreeFormText = value;}
		}

		public regionName()
		{
		}
	}

	[XmlRoot(ElementName="PartnerLocationIdentification",IsNullable=false),Serializable]
	public class PartnerLocationIdentification
	{

		[XmlElement(ElementName="ProprietaryDomainIdentifier",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __ProprietaryDomainIdentifier;
		
		[XmlIgnore]
		public string ProprietaryDomainIdentifier
		{ 
			get { return __ProprietaryDomainIdentifier; }
			set { __ProprietaryDomainIdentifier = value; }
		}

		[XmlElement(ElementName="ProprietaryIdentifierAuthority",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __ProprietaryIdentifierAuthority;
		
		[XmlIgnore]
		public string ProprietaryIdentifierAuthority
		{ 
			get { return __ProprietaryIdentifierAuthority; }
			set { __ProprietaryIdentifierAuthority = value; }
		}

		[XmlElement(ElementName="ProprietaryLocationIdentifier",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __ProprietaryLocationIdentifier;
		
		[XmlIgnore]
		public string ProprietaryLocationIdentifier
		{ 
			get { return __ProprietaryLocationIdentifier; }
			set { __ProprietaryLocationIdentifier = value; }
		}

		public PartnerLocationIdentification()
		{
		}
	}
}